Card
List a customer's cardholders
GET
merchantApiKeymerchantTimestampmerchantNoncemerchantSignatureheader
X-API-KEY<token>Merchant API key (starts with upk_, also accepts api-key); signing headers are also required
header
X-Timestamp<token>Unix timestamp in seconds, within 300 seconds of server time
header
X-Nonce<token>Unique per request; cannot be reused with the same credential during the timestamp validity window
header
X-Signature<token>Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest
customer_id*stringCardholders, newest first
application/json- response
data*array<>curl -X GET 'https://sandbox.getupp.net/api/v1/cardholders?customer_id=string'Example Response
{ "data": [ { "id": "string", "customer_id": "string", "card_product_id": "string", "first_name": "string", "last_name": "string", "status": "pending", "failure_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}